Subject: [Lsr] Revised draft-dunbar-lsr-5g-edge-compute-ospf-ext to associated the property with the Prefix (RFC7684) instead of the Stub Link

From: Linda Dunbar <[email-masked]>
Date: Wed, 10 Feb 2021 18:42:48 +0000

Acee and LSR WG,

Based on the mailing list discussion, we have revised the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/.

In particular,

  *   For App Servers using IPv6, the OSPFv3 Extended LSA with the Intra-Area-Prefix Address TLV specified by the Section 3.7 of RFC8362 can be used to carry the App-Metrics for the attached App Servers.
  0                   1                   2                   3
  0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|7 (IPv6 Local-Local Address)   |               Length          |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|            IPv6 AppServer (ANYCAST) address                   |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|            Load measurement sub-TLV                           |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|            Capability sub-TLV                                 |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|             Preference sub-TLV                                |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       Figure 3: IPv6 App Server App-Metrics Encoding

  *   For App Servers using IPv4 addresses, the OSPFv2 Extended Prefix Opaque LSA with the extended Prefix TLV can be used to carry the App Metrics sub-TLVs, as specified by the Section 2.1 [RFC7684].

Here is the proposed encoding:

0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Type                          | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Route Type    | Prefix Length | AF            | Flags         |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Address Prefix (variable)                                     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Load Measurement Sub-TLV                                      |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| capacity Index Sub-TLV                                        |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Site Preference Sub-TLV                                       |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Your comments and suggestions are greatly appreciated.

Linda Dunbar

From: Acee Lindem (acee) <[email-masked]>
Sent: Tuesday, November 3, 2020 1:38 PM
To: Linda Dunbar <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

We have a pretty full schedule and we add you as optional. I took a look at the draft and it is all over the place right now with standardization requested for one solution but 3 separate solutions partially specified. It could benefit from some WG mailing list discussion prior to a 10 minute presentation where we wouldn’t have time to discuss the many issues.

One major issue is that you should be extending RFC 7684 rather than RFC 3630 and it seems you these app-server selection metrics should be associated with a prefix and NOT a stub link (i.e., the application server address).

I’ll try to read it in more depth before IETF 109.

Thanks,
Acee

From: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 2, 2020 at 10:12 PM
To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, Christian Hopps <[email-masked]<mailto:[email-masked]>>
Resent-Date: Monday, November 2, 2020 at 10:12 PM

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C83f990f38fe14407efe208d880300245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637400290992237706%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CooHUjUYe%2BePz9rwBZe0orzPqku%2BoSL%2FrMVVa%2Fl2uIc%3D&reserved=0>

This draft describes an OSPF extension that can distribute the 5G Edge Computing App running status and environment, so that other routers in the 5G Local Data Network can make intelligent decision on optimizing forwarding of flows from UEs. The goal is to improve latency and performance for 5G Edge Computing services.

Thank you very much,

Linda Dunbar

From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Yingzhen Qu
Sent: Monday, October 19, 2020 3:52 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Lsr] IETF 109 LSR Presentation Slot Requests

Hi all,

We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to [email-masked]<mailto:[email-masked]> indicating draft name, speaker, and desired duration (covering presentation and discussion).

LSR session is scheduled on Monday, Nov 16, 12:00-14:00 ICT.

Thanks,
Yingzhen